The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Patter match error in Interchange Shopping cart 4.8

Discussion in 'General Discussion' started by ozzi4648, Nov 5, 2002.

  1. ozzi4648

    ozzi4648 Guest

    I wrote this email in response to a ticket i had submitted about Interchange 4.8 and the bug that prevented all our users from completing their cart setup.

    I simply reinstalled 4.8.2 into the proper directory and its back to the old version. Im not sure if you are aware of something. The current distro has a bug in it that is fairly obvious. When using the wizard to configure the cart to your system one gets stuck and cannot proceed past the UPS screen. There is a pattern match error that keeps coming up which cannot be bypassed. So because of this one cannot complete the installation setup of the cart. So if this is true how do people use the cart at all? Either the bug should be fixed or the entire 4.9.2 distro removed from Cpanel. It makes absolutely no sense deploying something that doesnt work now does it? On a brighter side of things one could go into the code where the wizard script it located and fix it but nobody has a solution that works. Thats the only reason why i was trying to go to the next version. You should probably try this yourself sometime or offer a fix.

    Log in as admin go to Adminstration&Wizard&Setup the Company information&Email addresses& Tax info&Shipping address select UPS then next screen&Shipping Prefs, this is where the damn bug is when you click NEXT you will get this error


    failed pattern - '$3.00' =~ ^\\d+(?:\\.\\d+)?\$

    No matter what you type as the setup fee the patter error will come up. If you cant go past this screen you cannot complete the setup of your cart.

Share This Page